package projects.FLP.nodes.messages;

import java.util.ArrayList;

import projects.defaultProject.nodes.messages.Msg;

public class Phase2 extends Msg {
	public int i,v;
	public ArrayList<Integer> pred;
	
@SuppressWarnings("unchecked")
public Phase2(int i,int v, ArrayList<Integer> p){
	this.i=i;
	this.v=v;
	this.pred=(ArrayList<Integer>) p.clone();
}

@SuppressWarnings("unchecked")
public Phase2 clone() {
	return new Phase2(i,v,(ArrayList<Integer>) pred.clone());
}

	
}
